Skip to navigation

Get ScratchFile by ID

Beta
Get a single ScratchFile by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scratch_file_idstringRequired
ID of the ScratchFile.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
creatorobjectOptional
downloadUrlstring or nullOptional
errorMessagestring or nullOptional
externalFileIdstring or nullOptional
fileobject or nullOptional
filenamestringOptional
idstringOptional
mimeTypestring or nullOptional
modifiedAtstring or nullOptional
namestringOptional
originAutomationStepDataobject or nullOptional
The automation step data that produced this file.
sizeinteger or nullOptional
uploadStatusenumOptional
Allowed values:
uploadUrlstring or nullOptional
originPipelineStepDataobject or nullOptionalDeprecated
Use originAutomationStepData instead.

Errors

400
Scratch File Get Request Bad Request Error
403
Scratch File Get Request Forbidden Error
404
Scratch File Get Request Not Found Error
429
Scratch File Get Request Too Many Requests Error
500
Scratch File Get Request Internal Server Error